ComputerSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.ComputerSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface ComputerSystem

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  AixUnitaryComputerSystem, CiscoPixComputerSystem, DarwinUnitaryComputerSystem, DosUnitaryComputerSystem, DynamicSystemDomain, FCSwitch, FreeBSDUnitaryComputerSystem, GenericComputerSystem, GenericFirewall, GenericLoadBalancer, GenericRouter, GenericSwitch, HpUxUnitaryComputerSystem, IPSOUnitaryComputerSystem, LinuxUnitaryComputerSystem, LPAR, NetwareUnitaryComputerSystem, OpenVmsUnitaryComputerSystem, StorageSubSystem, SunFireComputerSystem, SunSPARCUnitaryComputerSystem, SunSPARCVirtualComputerSystem, SystemPComputerSystem, TapeLibrary, TapeMediaChanger, UnitaryComputerSystem, VirtualComputerSystem, VmwareUnitaryComputerSystem, WindowsComputerSystem, ZSeriesComputerSystem, ZVMGuest

    public interface ComputerSystem

extends CIMSystem, ConfigurationItem

Naming Rules:
  0="signature" 1="-VMID,manufacturer,model,serialNumber" 2="systemBoardUUID" 3="primaryMACAddress" 4="hostSystem,VMID" 5="managedSystemName" 6="VMID,manufacturer,model,serialNumber"
Persistable:
  true
Table Name:
  COMPSYS
Top Level:
  true
Display Name:
  fqdn

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getArchitecture()`
`boolean` | `getAutoStart()` In the circumstances where the Computer System environment supports this function (such as in Virtualization), AutoStart represents whether or not the instance is automatically started under particular circumstances.
`java.lang.String` | `getCdpDeviceId()`
`ComputerSystem[]` | `getChildSystem()`
`LogicalContent[]` | `getConfigContents()`
`Controller[]` | `getControllers()` The set of device controllers (e.g.
`CPU` | `getCPU()`
`int` | `getCPUCoresEnabled()`
`int` | `getCPUCoresInstalled()`
`int` | `getCPUDiesEnabled()`
`int` | `getCPUDiesInstalled()`
`long` | `getCPUSpeed()`
`java.lang.String` | `getCPUType()`
`MediaAccessDevice[]` | `getDevices()` The set of MediaAccessDevices (e.g.
`FCPort[]` | `getFCPorts()` The set of Fibre Channel SAN ports present on the system
`FileSystem[]` | `getFileSystems()`
`java.lang.String` | `getFqdn()`
`Function[]` | `getFunctions()` The set of Functions implemented by this computer system (e.g.
`ComputerSystem` | `getHostSystem()` The computer system from which the parts of this virtual computer system are taken.
`IpInterface[]` | `getIpInterfaces()` The set of IP interfaces configured on the system
`boolean` | `getIsVMIDanLPAR()`
`L2Interface[]` | `getL2Interfaces()` The set of layer 2 networking interfaces that are present on the system
`java.lang.String` | `getManufacturer()`
`Memory` | `getMemory()`
`long` | `getMemorySize()`
`java.lang.String` | `getModel()`
`java.lang.String` | `getName()`
`int` | `getNumCPUs()`
`OperatingSystem[]` | `getOSInstalled()`
`OperatingSystem` | `getOSRunning()`
`PhysicalPackage` | `getPhysicalPackage()` Deprecated.
`java.lang.String` | `getPrimaryMACAddress()`
`int` | `getProcessCapacityUnits()` The units in which the ProcessingCapacity attribute's value are expressed.
`float` | `getProcessingCapacity()` A specification of the processing capacity of this computer system, including all of the CPUs assigned to it.
`ProtocolController[]` | `getProtocolControllers()` The set of protocol controllers (e.g.
`java.lang.String` | `getROMVersion()`
`java.lang.String` | `getSerialNumber()`
`java.lang.String` | `getSignature()`
`SiteInfo` | `getSiteInfo()`
`SnmpSystemGroup` | `getSnmpSystemGroup()`
`java.lang.String` | `getSystemBoardUUID()`
`java.lang.String` | `getSystemId()`
`java.lang.String` | `getType()`
`boolean` | `getVirtual()`
`java.lang.String` | `getVMID()` The VMID is a unique identifier for the virtual machine.
`ZReportFile[]` | `getZReportfiles()`
`boolean` | `hasArchitecture()`
`boolean` | `hasAutoStart()`
`boolean` | `hasCdpDeviceId()`
`boolean` | `hasChildSystem()`
`boolean` | `hasConfigContents()`
`boolean` | `hasControllers()`
`boolean` | `hasCPU()`
`boolean` | `hasCPUCoresEnabled()`
`boolean` | `hasCPUCoresInstalled()`
`boolean` | `hasCPUDiesEnabled()`
`boolean` | `hasCPUDiesInstalled()`
`boolean` | `hasCPUSpeed()`
`boolean` | `hasCPUType()`
`boolean` | `hasDevices()`
`boolean` | `hasFCPorts()`
`boolean` | `hasFileSystems()`
`boolean` | `hasFqdn()`
`boolean` | `hasFunctions()`
`boolean` | `hasHostSystem()`
`boolean` | `hasIpInterfaces()`
`boolean` | `hasIsVMIDanLPAR()`
`boolean` | `hasL2Interfaces()`
`boolean` | `hasManufacturer()`
`boolean` | `hasMemory()`
`boolean` | `hasMemorySize()`
`boolean` | `hasModel()`
`boolean` | `hasName()`
`boolean` | `hasNumCPUs()`
`boolean` | `hasOSInstalled()`
`boolean` | `hasOSRunning()`
`boolean` | `hasPhysicalPackage()`
`boolean` | `hasPrimaryMACAddress()`
`boolean` | `hasProcessCapacityUnits()`
`boolean` | `hasProcessingCapacity()`
`boolean` | `hasProtocolControllers()`
`boolean` | `hasROMVersion()`
`boolean` | `hasSerialNumber()`
`boolean` | `hasSignature()`
`boolean` | `hasSiteInfo()`
`boolean` | `hasSnmpSystemGroup()`
`boolean` | `hasSystemBoardUUID()`
`boolean` | `hasSystemId()`
`boolean` | `hasType()`
`boolean` | `hasVirtual()`
`boolean` | `hasVMID()`
`boolean` | `hasZReportfiles()`
`void` | `setArchitecture(java.lang.String arch)`
`void` | `setAutoStart(boolean x)`
`void` | `setCdpDeviceId(java.lang.String id)`
`void` | `setChildSystem(ComputerSystem[] x)`
`void` | `setConfigContents(LogicalContent[] contents)`
`void` | `setControllers(Controller[] controllers)`
`void` | `setCPU(CPU c)`
`void` | `setCPUCoresEnabled(int i)`
`void` | `setCPUCoresInstalled(int i)`
`void` | `setCPUDiesEnabled(int i)`
`void` | `setCPUDiesInstalled(int i)`
`void` | `setCPUSpeed(long l)`
`void` | `setCPUType(java.lang.String s)`
`void` | `setDevices(MediaAccessDevice[] devices)`
`void` | `setFCPorts(FCPort[] fcps)`
`void` | `setFileSystems(FileSystem[] fileSystems)`
`void` | `setFqdn(java.lang.String s)`
`void` | `setFunctions(Function[] functions)`
`void` | `setHostSystem(ComputerSystem host)`
`void` | `setIpInterfaces(IpInterface[] ifs)`
`void` | `setIsVMIDanLPAR(boolean x)`
`void` | `setL2Interfaces(L2Interface[] ifs)`
`void` | `setManufacturer(java.lang.String s)`
`void` | `setMemory(Memory m)`
`void` | `setMemorySize(long l)`
`void` | `setModel(java.lang.String s)`
`void` | `setName(java.lang.String s)`
`void` | `setNumCPUs(int i)`
`void` | `setOSInstalled(OperatingSystem[] os)`
`void` | `setOSRunning(OperatingSystem os)`
`void` | `setPhysicalPackage(PhysicalPackage pkg)`
`void` | `setPrimaryMACAddress(java.lang.String mac)`
`void` | `setProcessCapacityUnits(int val)`
`void` | `setProcessingCapacity(float value)`
`void` | `setProtocolControllers(ProtocolController[] controllers)`
`void` | `setROMVersion(java.lang.String s)`
`void` | `setSerialNumber(java.lang.String s)`
`void` | `setSignature(java.lang.String s)`
`void` | `setSiteInfo(SiteInfo x)`
`void` | `setSnmpSystemGroup(SnmpSystemGroup group)`
`void` | `setSystemBoardUUID(java.lang.String guid)`
`void` | `setSystemId(java.lang.String s)`
`void` | `setType(java.lang.String s)`
`void` | `setVirtual(boolean b)`
`void` | `setVMID(java.lang.String val)`
`void` | `setZReportfiles(ZReportFile[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getZReportfiles

    ZReportFile[] getZReportfiles()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="true"

### setZReportfiles

    void setZReportfiles(ZReportFile[] x)

### hasZReportfiles

    boolean hasZReportfiles()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String s)

### hasType

    boolean hasType()

### getSystemId

    java.lang.String getSystemId()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemId

    void setSystemId(java.lang.String s)

### hasSystemId

    boolean hasSystemId()

### getSystemBoardUUID

    java.lang.String getSystemBoardUUID()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemBoardUUID

    void setSystemBoardUUID(java.lang.String guid)

### hasSystemBoardUUID

    boolean hasSystemBoardUUID()

### getPrimaryMACAddress

    java.lang.String getPrimaryMACAddress()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrimaryMACAddress

    void setPrimaryMACAddress(java.lang.String mac)

### hasPrimaryMACAddress

    boolean hasPrimaryMACAddress()

### getAutoStart

    boolean getAutoStart()
                         throws AttributeNotSetException

  In the circumstances where the Computer System environment supports this function (such as in Virtualization), AutoStart represents whether or not the instance is automatically started under particular circumstances. These circumstances could include when the ComputerSystem is powered off, it will automatically restart when power is restored to the machine. Another circumstance includes when virtual computer system instances are automatically started when the physcial computer system instance is started.

  Throws:
    `AttributeNotSetException`

### setAutoStart

    void setAutoStart(boolean x)

### hasAutoStart

    boolean hasAutoStart()

### getSnmpSystemGroup

    SnmpSystemGroup getSnmpSystemGroup()
                                       throws AttributeNotSetException

  Returns:
    Information picked up from the SNMP MIB 2 system group
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="false"
  Containment Relationship:
    true

### setSnmpSystemGroup

    void setSnmpSystemGroup(SnmpSystemGroup group)

### hasSnmpSystemGroup

    boolean hasSnmpSystemGroup()

### getCdpDeviceId

    java.lang.String getCdpDeviceId()
                                    throws AttributeNotSetException

  Returns:
    Device ID defining the node for the Cisco Discovery Protocol
  Throws:
    `AttributeNotSetException` - This attribute is Cisco specific and should move to a CiscoComputerSystem

### setCdpDeviceId

    void setCdpDeviceId(java.lang.String id)

### hasCdpDeviceId

    boolean hasCdpDeviceId()

### getSignature

    java.lang.String getSignature()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSignature

    void setSignature(java.lang.String s)

### hasSignature

    boolean hasSignature()

### getFqdn

    java.lang.String getFqdn()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFqdn

    void setFqdn(java.lang.String s)

### hasFqdn

    boolean hasFqdn()

### getSerialNumber

    java.lang.String getSerialNumber()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSerialNumber

    void setSerialNumber(java.lang.String s)

### hasSerialNumber

    boolean hasSerialNumber()

### getManufacturer

    java.lang.String getManufacturer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManufacturer

    void setManufacturer(java.lang.String s)

### hasManufacturer

    boolean hasManufacturer()

### getModel

    java.lang.String getModel()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setModel

    void setModel(java.lang.String s)

### hasModel

    boolean hasModel()

### getMemorySize

    long getMemorySize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMemorySize

    void setMemorySize(long l)

### hasMemorySize

    boolean hasMemorySize()

### getROMVersion

    java.lang.String getROMVersion()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setROMVersion

    void setROMVersion(java.lang.String s)

### hasROMVersion

    boolean hasROMVersion()

### getNumCPUs

    int getNumCPUs()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumCPUs

    void setNumCPUs(int i)

### hasNumCPUs

    boolean hasNumCPUs()

### getCPUType

    java.lang.String getCPUType()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCPUType

    void setCPUType(java.lang.String s)

### hasCPUType

    boolean hasCPUType()

### getCPUSpeed

    long getCPUSpeed()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCPUSpeed

    void setCPUSpeed(long l)

### hasCPUSpeed

    boolean hasCPUSpeed()

### getOSInstalled

    OperatingSystem[] getOSInstalled()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="true"
  Containment Relationship:
    true

### setOSInstalled

    void setOSInstalled(OperatingSystem[] os)

### hasOSInstalled

    boolean hasOSInstalled()

### getOSRunning

    OperatingSystem getOSRunning()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="true"

### setOSRunning

    void setOSRunning(OperatingSystem os)

### hasOSRunning

    boolean hasOSRunning()

### getFileSystems

    FileSystem[] getFileSystems()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setFileSystems

    void setFileSystems(FileSystem[] fileSystems)

### hasFileSystems

    boolean hasFileSystems()

### getL2Interfaces

    L2Interface[] getL2Interfaces()
                                  throws AttributeNotSetException

  The set of layer 2 networking interfaces that are present on the system

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setL2Interfaces

    void setL2Interfaces(L2Interface[] ifs)

### hasL2Interfaces

    boolean hasL2Interfaces()

### getIpInterfaces

    IpInterface[] getIpInterfaces()
                                  throws AttributeNotSetException

  The set of IP interfaces configured on the system

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setIpInterfaces

    void setIpInterfaces(IpInterface[] ifs)

### hasIpInterfaces

    boolean hasIpInterfaces()

### getFCPorts

    FCPort[] getFCPorts()
                        throws AttributeNotSetException

  The set of Fibre Channel SAN ports present on the system

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setFCPorts

    void setFCPorts(FCPort[] fcps)

### hasFCPorts

    boolean hasFCPorts()

### getPhysicalPackage

    PhysicalPackage getPhysicalPackage()
                                       throws AttributeNotSetException

  Deprecated.

  The set of physical hardware that this computer system is implemented with. These can be chassis, cards, motherboards, monitors etc...

  Returns:
    Array of PhysicalPackages
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setPhysicalPackage

    void setPhysicalPackage(PhysicalPackage pkg)

### hasPhysicalPackage

    boolean hasPhysicalPackage()

### getDevices

    MediaAccessDevice[] getDevices()
                                   throws AttributeNotSetException

  The set of MediaAccessDevices (e.g. diskdrives, tape drives) that this computer system has

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDevices

    void setDevices(MediaAccessDevice[] devices)

### hasDevices

    boolean hasDevices()

### getControllers

    Controller[] getControllers()
                                throws AttributeNotSetException

  The set of device controllers (e.g. SCSI controller, USB controller etc...)

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setControllers

    void setControllers(Controller[] controllers)
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasControllers

    boolean hasControllers()

### getProtocolControllers

    ProtocolController[] getProtocolControllers()
                                                throws AttributeNotSetException

  The set of protocol controllers (e.g. SAN SCSI initiators)

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setProtocolControllers

    void setProtocolControllers(ProtocolController[] controllers)
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasProtocolControllers

    boolean hasProtocolControllers()

### getFunctions

    Function[] getFunctions()
                            throws AttributeNotSetException

  The set of Functions implemented by this computer system (e.g. router, bridge)

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"
  Containment Relationship:
    true

### setFunctions

    void setFunctions(Function[] functions)

### hasFunctions

    boolean hasFunctions()

### getConfigContents

    LogicalContent[] getConfigContents()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigContents

    void setConfigContents(LogicalContent[] contents)

### hasConfigContents

    boolean hasConfigContents()

### getArchitecture

    java.lang.String getArchitecture()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setArchitecture

    void setArchitecture(java.lang.String arch)

### hasArchitecture

    boolean hasArchitecture()

### getVirtual

    boolean getVirtual()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtual

    void setVirtual(boolean b)

### hasVirtual

    boolean hasVirtual()

### getHostSystem

    ComputerSystem getHostSystem()
                                 throws AttributeNotSetException

  The computer system from which the parts of this virtual computer system are taken. Note that the parent does not need to be a physical computer. Virtualized computer systems can be build out of other virutal computer systems (as is the case when second-level guest systems are formed on mainframes).

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Virtualizes" reverse="false"

### setHostSystem

    void setHostSystem(ComputerSystem host)

### hasHostSystem

    boolean hasHostSystem()

### getChildSystem

    ComputerSystem[] getChildSystem()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Virtualizes" reverse="true"

### setChildSystem

    void setChildSystem(ComputerSystem[] x)

### hasChildSystem

    boolean hasChildSystem()

### getProcessingCapacity

    float getProcessingCapacity()
                                throws AttributeNotSetException

  A specification of the processing capacity of this computer system, including all of the CPUs assigned to it. The units in which this capacity are expressed should be stated in the ProcessCapacityUnits attribute.

  Throws:
    `AttributeNotSetException`

### setProcessingCapacity

    void setProcessingCapacity(float value)

### hasProcessingCapacity

    boolean hasProcessingCapacity()

### getProcessCapacityUnits

    int getProcessCapacityUnits()
                                throws AttributeNotSetException

  The units in which the ProcessingCapacity attribute's value are expressed.

  Throws:
    `AttributeNotSetException`

### setProcessCapacityUnits

    void setProcessCapacityUnits(int val)

### hasProcessCapacityUnits

    boolean hasProcessCapacityUnits()

### getVMID

    java.lang.String getVMID()
                             throws AttributeNotSetException

  The VMID is a unique identifier for the virtual machine. For pSeries this is the LPARID. pSeries boxex can have multiple LPARS running different operating systems. The pSeries implementation will return the same manufacturer, model, and serial number all the LPARs. So all ComputerSystems running in different LPARs end up getting incorrectly merged down to a single object. In order to avoid this merging in a pSeries environment, the LPARID shoiuld be saved in the VMID attribute.

  Throws:
    `AttributeNotSetException`

### setVMID

    void setVMID(java.lang.String val)

### hasVMID

    boolean hasVMID()

### getCPUDiesInstalled

    int getCPUDiesInstalled()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCPUDiesInstalled

    void setCPUDiesInstalled(int i)

### hasCPUDiesInstalled

    boolean hasCPUDiesInstalled()

### getCPUDiesEnabled

    int getCPUDiesEnabled()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCPUDiesEnabled

    void setCPUDiesEnabled(int i)

### hasCPUDiesEnabled

    boolean hasCPUDiesEnabled()

### getCPUCoresInstalled

    int getCPUCoresInstalled()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCPUCoresInstalled

    void setCPUCoresInstalled(int i)

### hasCPUCoresInstalled

    boolean hasCPUCoresInstalled()

### getCPUCoresEnabled

    int getCPUCoresEnabled()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCPUCoresEnabled

    void setCPUCoresEnabled(int i)

### hasCPUCoresEnabled

    boolean hasCPUCoresEnabled()

### getCPU

    CPU getCPU()
               throws AttributeNotSetException

  Returns:
    CPU that this computer system has
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setCPU

    void setCPU(CPU c)

### hasCPU

    boolean hasCPU()

### getMemory

    Memory getMemory()
                     throws AttributeNotSetException

  Returns:
    Memory that this computer system has
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setMemory

    void setMemory(Memory m)

### hasMemory

    boolean hasMemory()

### getSiteInfo

    SiteInfo getSiteInfo()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.LocatedAt" reverse="false"

### setSiteInfo

    void setSiteInfo(SiteInfo x)

### hasSiteInfo

    boolean hasSiteInfo()

### getIsVMIDanLPAR

    boolean getIsVMIDanLPAR()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIsVMIDanLPAR

    void setIsVMIDanLPAR(boolean x)

### hasIsVMIDanLPAR

    boolean hasIsVMIDanLPAR()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD